Your Moodle version

Blocks: User Expire block

block_userexpire
Maintained by Picture of Jeff Rader Jeff Rader
This block intends to give the user a notification about the expiration of his or her enrollment. Tested only on 2.0. Should work above that as well.
600
49
1

This block intends to give the user a notification about the expiration of his or her enrollment.  Tested only on 2.0.  Should work above that as well.  Pretty simple, but very needed.

Screenshots

Screenshot #0

Contributors

Picture of Jeff Rader
Jeff Rader (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Kevan Flaming
    Sat, Feb 9, 2013, 6:03 AM
    Thank you for this block. We used something similar in 1.9 and are now trying to upgrade to 2.x. I discovered that the query in block_userexpire.php has the database prefix hard coded as "mdl_". We use a different database prefix. As soon as I changed that the block seems to be working fine. Prior to changing that I would get "Error when reading from database" when I tried to install the block.
  • Picture of Carolyn Ford Burac
    Fri, Dec 12, 2014, 1:25 AM
    Is this plugin available for 2.6.5?
Please login to post comments